net.sf.jasperreports.charts.base

## Class JRBaseMultiAxisPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRMultiAxisPlot, JRChangeEventsSupport, JRChartPlot, JRCloneable
  Direct Known Subclasses:
    JRDesignMultiAxisPlot

      public class JRBaseMultiAxisPlot
      extends JRBaseChartPlot
      implements JRMultiAxisPlot

  An immutable representation of the layout options of a multiple axis chart.
  Version:
    $Id: JRBaseMultiAxisPlot.java 6143 2013-05-08 11:44:44Z chicuslavic $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<JRChartAxis>` | `axes` All the axes contained in this plot.

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseMultiAxisPlot(JRChartPlot multiAxisPlot, JRChart chart)` Constructs a copy of an existing multiple axis chart plot.
    `JRBaseMultiAxisPlot(JRMultiAxisPlot multiAxisPlot, JRBaseObjectFactory factory)` Creates a copy of an existing multiple axis chart plot and registers any expression contained in the plot with the specified factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)` Adds all the expression used by this plot with the specified collector.
    `java.util.List<JRChartAxis>` | `getAxes()` Returns a List of all the children axis.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### axes

          protected java.util.List<JRChartAxis> axes

      All the axes contained in this plot. Each entry indicates a chart containing the dataset and layout of that entry and where to draw that chart's range axis. All entries in the list are of the type ``JRChartAxis``

  - ### Constructor Detail

    - #### JRBaseMultiAxisPlot

          public JRBaseMultiAxisPlot(JRChartPlot multiAxisPlot,
                             JRChart chart)

      Constructs a copy of an existing multiple axis chart plot.
      Parameters:
        `multiAxisPlot` - the plot to copy

    - #### JRBaseMultiAxisPlot

          public JRBaseMultiAxisPlot(JRMultiAxisPlot multiAxisPlot,
                             JRBaseObjectFactory factory)

      Creates a copy of an existing multiple axis chart plot and registers any expression contained in the plot with the specified factory. Since the plot contains multiple other charts nested inside of it all of the expressions used by those charts is also registered with the factory.
      Parameters:
        `multiAxisPlot` - the plot to copy
        `factory` - the factory to register expressions with

  - ### Method Detail

    - #### getAxes

          public java.util.List<JRChartAxis> getAxes()

      Description copied from interface: `JRMultiAxisPlot`
      Returns a List of all the children axis. Each element is of type `net.sf.jasperreports.charts.util.JRChartAxis`.
      Specified by:
        `getAxes` in interface `JRMultiAxisPlot`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Adds all the expression used by this plot with the specified collector. All collected expression that are also registered with a factory will be included with the report is compiled.
      Specified by:
        `collectExpressions` in interface `JRChartPlot`
      Parameters:
        `collector` - the expression collector to use

    - #### clone

          public java.lang.Object clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartPlot`
      Overrides:
        `clone` in class `JRBaseChartPlot`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com